Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
zigbee::ZigbeeManager Interface Reference

Zigbee Manager. More...

`import <ZigbeeManager.idl;`

## Classes
struct | DeviceAddedEvent
| A sensor was added. More...
struct | DeviceEvent
| Base Event. More...
struct | DeviceRegistration
| Device Registration. More...
struct | DeviceRemovedEvent
| A sensor was removed. More...
struct | MetaData
| Dongle MetaData. More...
struct | Settings
struct | SettingsChangedEvent
| Settings changed. More...
struct | StateChangedEvent
| State changed. More...

## Public Types
enum | DongleState { NOT_INIT , READY , ERROR , INIT_IN_PROGRESS , FW_UPGRADE , IN_MODEM_STATE }
| States for the dongle. More...

## Public Member Functions
MetaData | getMetaData ()
| Retrieve Dongle MetaData.
DongleState | getDongleState ()
| Retrieve Dongle State.
Settings | getSettings ()
| Retrieve Dongle Settings.
int | setSettings (in Settings settings)
| Set Dongle Settings.
vector< int > | addDevices (in vector< DeviceRegistration > sensors)
| Add new devices.
int | removeDevice (in int sourceId)
| Remove a device.
vector< ZigbeeDevice > | getRegisteredDevices ()
| Get the list of registered devices.

## Public Attributes
constant int | ERR_DEVICE_EXISTS = 1
| Error Codes.
constant int | ERR_MAX_DEVICE_REACHED = 2
constant int | ERR_DEVICE_NOT_FOUND = 3
constant int | ERR_INVALID_PARAMS = 4
constant int | ERR_INVALID_KEY = 5
constant int | ERR_INVALID_CHANNEL = 6

## Detailed Description

Zigbee Manager.

Definition at line 15 of file ZigbeeManager.idl.

## Member Enumeration Documentation

## ◆ DongleState

enum zigbee::ZigbeeManager::DongleState

States for the dongle.

Enumerator
NOT_INIT | no dongle
READY | default state if no action in progress
ERROR | something wrong
INIT_IN_PROGRESS | dongle init in progress
FW_UPGRADE | firmware upgrade
IN_MODEM_STATE | receiving state for fw update

Definition at line 26 of file ZigbeeManager.idl.

## Member Function Documentation

## ◆ addDevices()

vector< int > zigbee::ZigbeeManager::addDevices | ( | in vector< DeviceRegistration > | sensors | ) |

Add new devices.

Return codes: 0 if OK ERR_DEVICE_EXISTS if device is already in list ERR_MAX_DEVICE_REACHED if the max device limit reached ERR_INVALID_KEY if the key is wrong ERR_INVALID_PARAMS if the entered data is invalid

Returns
  List of return codes for each device

## ◆ getDongleState()

DongleState zigbee::ZigbeeManager::getDongleState | ( |  | ) |

Retrieve Dongle State.

Returns
  DongleState

## ◆ getMetaData()

MetaData zigbee::ZigbeeManager::getMetaData | ( |  | ) |

Retrieve Dongle MetaData.

Returns
  MetaData

## ◆ getRegisteredDevices()

vector< ZigbeeDevice > zigbee::ZigbeeManager::getRegisteredDevices | ( |  | ) |

Get the list of registered devices.

Returns
  List of all registered devices

## ◆ getSettings()

Settings zigbee::ZigbeeManager::getSettings | ( |  | ) |

Retrieve Dongle Settings.

Returns
  Settings

## ◆ removeDevice()

int zigbee::ZigbeeManager::removeDevice | ( | in int | sourceId | ) |

Remove a device.

Returns
  0 if OK
  ERR_DEVICE_NOT_FOUND if device is not registered

## ◆ setSettings()

int zigbee::ZigbeeManager::setSettings | ( | in Settings | settings | ) |

Set Dongle Settings.

Returns
  0 if OK
  ERR_INVALID_CHANNEL if the channel is invalid
  ERR_INVALID_PARAMS if any parameters are invalid

## Member Data Documentation

## ◆ ERR_DEVICE_EXISTS

constant int zigbee::ZigbeeManager::ERR_DEVICE_EXISTS = 1

Error Codes.

Definition at line 18 of file ZigbeeManager.idl.

## ◆ ERR_DEVICE_NOT_FOUND

constant int zigbee::ZigbeeManager::ERR_DEVICE_NOT_FOUND = 3

Definition at line 20 of file ZigbeeManager.idl.

## ◆ ERR_INVALID_CHANNEL

constant int zigbee::ZigbeeManager::ERR_INVALID_CHANNEL = 6

Definition at line 23 of file ZigbeeManager.idl.

## ◆ ERR_INVALID_KEY

constant int zigbee::ZigbeeManager::ERR_INVALID_KEY = 5

Definition at line 22 of file ZigbeeManager.idl.

## ◆ ERR_INVALID_PARAMS

constant int zigbee::ZigbeeManager::ERR_INVALID_PARAMS = 4

Definition at line 21 of file ZigbeeManager.idl.

## ◆ ERR_MAX_DEVICE_REACHED

constant int zigbee::ZigbeeManager::ERR_MAX_DEVICE_REACHED = 2

Definition at line 19 of file ZigbeeManager.idl.

The documentation for this interface was generated from the following file:

- ZigbeeManager.idl